# std::fputwc

From cppreference.com
< cpp‎ | io‎ | c

Defined in header `<cwchar>` |  |
wint_t fputwc( wchar_t ch, std::FILE* stream ); |  |
wint_t putwc( wchar_t ch, std::FILE* stream ); |  |

Writes a wide character `ch` to the given output stream `stream`. putwc() may be implemented as a macro and may evaluate `stream` more than once.

### Parameters

ch | - | wide character to be written
stream | - | the output stream

### Return value

`ch` on success, WEOF on failure. If an encoding error occurs, errno is set to `EILSEQ`.

### See also

fputc putc | writes a character to a file stream (function)
fputws | writes a wide string to a file stream (function)
fgetwc getwc | gets a wide character from a file stream (function)
C documentation for fputwc

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/io/c/fputwc&oldid=67601"